
Installer - Bug #16250

Installer fails when alternate directory is defined

08/23/2016 12:40 PM - Stephen Benjamin

Status: Resolved   

Priority: Low   

Assignee: Stephen Benjamin   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1124553 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1124553

Description of problem:

katello-installer --certs-log-dir /local1/satellite6/certs  --certs-ssl-build-dir  /local1/satelli

te6/ssl-build  --foreman-app-root /local1/satellite6/foreman --foreman-puppet-home /local1/satelli

te6/puppet --katello-config-dir /local1/satellite6/foreman/plugins --katello-log-dir /local1/satel

lite6/foreman/log/plugins

 The first run completely failed and I would have expected the installer to create the directory. The second run went better but still

failed after creating /local1/satellite6.

[root@totlx90101 tmp]# katello-installer --certs-log-dir /local1/satellite6/certs  --certs-ssl-build-dir  /local1/satellite6/ssl-build 

--foreman-app-root /local1/satellite6/foreman --foreman-puppet-home /local1/satellite6/puppet --katello-config-dir

/local1/satellite6/foreman/plugins --katello-log-dir /local1/satellite6/foreman/log/plugins

Could not set 'file' on ensure: cannot generate tempfile

`/local1/satellite6/ssl-build/rhsm-katello-reconfigure20140729-23332-14mpoaz-9' at

20:/usr/share/katello-installer/modules/certs/manifests/katello.pp

Could not set 'file' on ensure: cannot generate tempfile

`/local1/satellite6/ssl-build/rhsm-katello-reconfigure20140729-23332-14mpoaz-9' at

20:/usr/share/katello-installer/modules/certs/manifests/katello.pp

/Stage[main]/Certs::Katello/File[/local1/satellite6/ssl-build/rhsm-katello-reconfigure]/ensure: change from absent to file failed: Could

not set 'file' on ensure: cannot generate tempfile `/local1/satellite6/ssl-build/rhsm-katello-reconfigure20140729-23332-14mpoaz-9' at

20:/usr/share/katello-installer/modules/certs/manifests/katello.pp

Could not start Service[mongodb]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait mongod start'

returned 1: Starting mongod: [  OK  ]

/Stage[main]/Mongodb::Server::Service/Service[mongodb]/ensure: change from stopped to running failed: Could not start

Service[mongodb]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait mongod start' returned 1: Starting

mongod: [  OK  ]

/Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]: Failed to call refresh:

/usr/sbin/foreman-rake db:migrate returned 1 instead of one of [0]

/Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]: /usr/sbin/foreman-rake db:migrate

returned 1 instead of one of [0]

/Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call refresh:

/usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

/Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/foreman-rake db:seed returned 1

instead of one of [0]

/Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache]/Exec[foreman-rake-apipie:cache]: Failed to call refresh:

/usr/sbin/foreman-rake apipie:cache returned 1 instead of one of [0]

/Stage[main]/Foreman::Database/Foreman::Rake[apipie:cache]/Exec[foreman-rake-apipie:cache]: /usr/sbin/foreman-rake

apipie:cache returned 1 instead of one of [0]

Installing             Done                                               [100%] [.....................................................................................]

Something went wrong! Check the log for ERROR-level output

The full log is at /var/log/katello-installer/katello-installer.log

Version-Release number of selected component (if applicable):
https://bugzilla.redhat.com/show_bug.cgi?id=1124553


satellite 6 beta

How reproducible:

See above

Actual results:

Expected results:

Additional info:

Having a separate install directory locations allows for portability

Related issues:

Copied from Katello - Bug #10283: Installer fails when alternate directory is... Rejected

Associated revisions

Revision 6a42cf2f - 10/24/2016 05:58 PM - Stephen Benjamin

refs #16250 - mark advanced parameters

History

#1 - 08/23/2016 12:40 PM - Stephen Benjamin

- Copied from Bug #10283: Installer fails when alternate directory is defined added

#2 - 08/23/2016 12:41 PM - Stephen Benjamin

- Project changed from Foreman to Installer

#3 - 08/24/2016 03:36 AM - Dominic Cleal

- Category set to Foreman modules

- Status changed from New to Assigned

- translation missing: en.field_release deleted (114)

Don't change them if you're not using packages with those paths...

#4 - 05/17/2017 05:44 PM - Anonymous

Feels to me like I would reject this issue... thoughts?

#5 - 05/17/2017 06:32 PM - Ewoud Kohl van Wijngaarden

Currently it's marked as an advanced parameter so I think it's OK to close this.

#6 - 05/20/2017 03:07 PM - Anonymous

- Status changed from Assigned to Resolved

thanks
